Mesh SectionByPlane/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Mesh Section")
 
No edit summary
 
(32 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/fr
|[[Mesh_TrimByPlane|Mesh TrimByPlane]]
|[[Mesh_TrimByPlane/fr|Ajuster par plan]]
|[[Mesh_CrossSections|Mesh CrossSections]]
|[[Mesh_CrossSections/fr|Coupes]]
|[[Mesh_Workbench|Mesh]]
|[[Mesh_Workbench/fr|Atelier Mesh]]
|IconL=
|IconL=Mesh_TrimByPlane.svg
|IconR=
|IconR=Mesh_CrossSections.svg
|IconC=Workbench_Mesh.svg
|IconC=Workbench_Mesh.svg
}}
}}


{{GuiCommand
{{GuiCommand/fr
|Name=Mesh SectionByPlane
|Name=Mesh SectionByPlane
|Name/fr=Mesh Section
|Empty=1
|MenuLocation=MeshesCuttingCreate section from mesh and plane
|MenuLocation=MaillagesCouperCréer une section à partir d'un maillage et d'un plan
|Workbenches=[[Mesh_Workbench|Mesh]]
|Workbenches=[[Mesh_Workbench/fr|Mesh]]
|SeeAlso=[[Mesh_CrossSections|Mesh CrossSections]]
|SeeAlso=[[Mesh_CrossSections/fr|Mesh Coupes]]
}}
}}


==Description==
==Description==


The '''Mesh SectionByPlane''' command creates a cross section across a mesh object. The cross section is a [[Part_Feature|Part Feature]].
La commande '''Section''' crée une coupe transversale à travers un objet maillé. La section transversale est une [[Part_Feature/fr|Part Feature]].


==Usage==
<span id="Usage"></span>
==Utilisation==


# Select a single mesh object and a single [[Part_Primitives|Part plane]]. The (extended) plane should intersect the mesh object.
# Sélectionnez un seul objet maillage et un seul [[Part_Primitives/fr|Part Plan]]. Le plan (étendu) doit couper l'objet maillé.
# Il existe plusieurs façons de lancer la commande :
# Select the {{MenuCommand|Meshes → Cutting → Create section from mesh and plane}} option from the menu.
#* Appuyez sur le bouton {{Button|[[Image:Mesh_SectionByPlane.svg|16px]] [[Mesh_SectionByPlane/fr|Créer une section à partir d'un maillage et d'un plan]]}}.
#* Sélectionnez l'option {{MenuCommand|Maillages → Couper → [[Image:Mesh_SectionByPlane.svg|16px]] Créer une section à partir d'un maillage etd'un plan}} du menu.


==Properties==
<span id="Properties"></span>
==Propriétés==


See: [[Part_Feature|Part Feature]].
Voir: [[Part_Feature/fr|Part Feature]].


<span id="Scripting"></span>
==Script==


Voir aussi : [[FreeCAD_Scripting_Basics/fr|Débuter avec les scripts FreeCAD]].
{{Docnav

|[[Mesh_TrimByPlane|Mesh TrimByPlane]]
Pour sectionner un maillage, utilisez sa méthode {{incode|section}}. Cette méthode nécessite un deuxième objet maillé qui ne doit pas nécessairement être planaire.
|[[Mesh_CrossSections|Mesh CrossSections]]

|[[Mesh_Workbench|Mesh]]
{{Code|code=
|IconL=
import FreeCAD as App
|IconR=
import Mesh
import Part

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(30, 40, 50)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create a planar mesh from 3 points:
p1 = App.Vector(-20, -60, 0)
p2 = App.Vector(65, 25, 0)
p3 = App.Vector(-20, 25, 0)
msh_plane = Mesh.Mesh([p1, p2, p3])

# Find the section loops (each loop is a list of points):
loops = msh.Mesh.section(msh_plane)

# Show the loop polygon:
Part.show(Part.makePolygon(loops[0]))
}}


{{Docnav/fr
|[[Mesh_TrimByPlane/fr|Ajuster par plan]]
|[[Mesh_CrossSections/fr|Coupes]]
|[[Mesh_Workbench/fr|Atelier Mesh]]
|IconL=Mesh_TrimByPlane.svg
|IconR=Mesh_CrossSections.svg
|IconC=Workbench_Mesh.svg
|IconC=Workbench_Mesh.svg
}}
}}
Line 43: Line 77:
{{Mesh Tools navi{{#translation:}}}}
{{Mesh Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 21:16, 27 November 2023

Other languages:

Mesh Section

Emplacement du menu
Maillages → Couper → Créer une section à partir d'un maillage et d'un plan
Ateliers
Mesh
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Mesh Coupes

Description

La commande Section crée une coupe transversale à travers un objet maillé. La section transversale est une Part Feature.

Utilisation

  1. Sélectionnez un seul objet maillage et un seul Part Plan. Le plan (étendu) doit couper l'objet maillé.
  2. Il existe plusieurs façons de lancer la commande :

Propriétés

Voir: Part Feature.

Script

Voir aussi : Débuter avec les scripts FreeCAD.

Pour sectionner un maillage, utilisez sa méthode section. Cette méthode nécessite un deuxième objet maillé qui ne doit pas nécessairement être planaire.

import FreeCAD as App
import Mesh
import Part

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(30, 40, 50)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create a planar mesh from 3 points:
p1 = App.Vector(-20, -60, 0)
p2 = App.Vector(65, 25, 0)
p3 = App.Vector(-20, 25, 0)
msh_plane = Mesh.Mesh([p1, p2, p3])

# Find the section loops (each loop is a list of points):
loops = msh.Mesh.section(msh_plane)

# Show the loop polygon:
Part.show(Part.makePolygon(loops[0]))